#!/bin/bash

disk=/dev/sdc
mountPath=./mounted

fdisk ${disk} < ./fdisk.in 

mkdosfs -n bootfs ${disk}1
mkfs.ext2 -L rootfs ${disk}2
tune2fs -i 0 ${disk}2

syslinux ${disk}1

mkdir -p ./mounted/bootfs
mkdir ./mounted/rootfs

mount ${disk}1 ./mounted/bootfs
mount ${disk}2 ./mounted/rootfs

#mount

cp -av ./bootfs/* ./mounted/bootfs
cp -av ./rootfs/* ./mounted/rootfs


echo 
echo "Syncing disk..."
sync

umount ${disk}1
umount ${disk}2

rm -rf ./mounted

echo "Install script ended."

